#
# spec file for package kamplus (Version 1.0.7a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kamplus
Copyright:    GPL
Group:        X11/Applications/Hamradio
Autoreqprov:  on
Version:      1.0.7a
Release:      83
Summary:      Host mode terminal program for the Kam Plus TNC
Source:       kamplus-qt-1.0.7a.src.tgz
Patch:        kamplus-qt-1.0.7.diff
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
Host mode terminal program for the Kam Plus TNC

Authors:
--------
    Chris Vine <chris@cvine.freeserve.co.uk>

SuSE series: ham

%prep
%setup -n kam-qt
%patch -p0

%build
export QTDIR=/usr/lib/qt2
./configure
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT
INSTALLDIR=${RPM_BUILD_ROOT}/var/lib/kamplus
BINDIR=${RPM_BUILD_ROOT}/usr/bin
ETCDIR=${RPM_BUILD_ROOT}/etc
mkdir -p ${BINDIR} ${ETCDIR}
install -d -oroot -glocalham -m775 ${INSTALLDIR}
install -d -oroot -glocalham -m775 ${INSTALLDIR}/parms
install -m4750 -oroot -glocalham kam-qt endhost ${BINDIR}
install -m664 -oroot -glocalham cq messages helpfile-qt ${INSTALLDIR}
install -m664 -oroot -glocalham tnc.parms home away ${INSTALLDIR}/parms
install -m664 -oroot -glocalham kamrc ${ETCDIR}
touch ${INSTALLDIR}/capture.txt
chown .localham ${INSTALLDIR}/capture.txt
chmod 0664 ${INSTALLDIR}/capture.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS CONNECT_SCRIPTS HISTORY README README.SuSE
%config %attr(664, root, localham) /etc/kamrc
%dir %attr(775, root, localham) /var/lib/kamplus
%attr(4750, root, localham) /usr/bin/kam-qt
%attr(4750, root, localham) /usr/bin/endhost
%attr(664, root, localham) /var/lib/kamplus/cq
%attr(664, root, localham) /var/lib/kamplus/helpfile-qt
%attr(664, root, localham) /var/lib/kamplus/messages
%dir %attr(775, root, localham) /var/lib/kamplus/parms
%config %attr(664, root, localham) /var/lib/kamplus/parms/away
%config %attr(664, root, localham) /var/lib/kamplus/parms/home
%config %attr(664, root, localham) /var/lib/kamplus/parms/tnc.parms

%changelog -n kamplus
* Fri Jun 22 2001 - jreuter@suse.de
- configure finds QT libraries again...
* Tue Apr 24 2001 - jreuter@suse.de
- standard texts, KAM initialization and write log are now in
  /var/lib/kamplus
* Tue Apr 24 2001 - jreuter@suse.de
- updated to 1.0.7a
- fixed file permissions: kam-qt and endhost can be executed only by
  members of the "localham" group
- members of "localham" can modify the configuration of kamplus-qt,
  however if you really trust someone enough to allow access to your
  hamradio rig trusting him to not fiddle with the application is a
  minor question...
* Wed Apr 04 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Mon Nov 20 2000 - bubnikv@suse.cz
- fixed file privilegues
* Mon Nov 06 2000 - bubnikv@suse.cz
- updated to 1.0.4
- binaries are now in uucp group
* Fri Jun 09 2000 - bubnikv@suse.cz
- updated to 0.97-5
* Fri May 19 2000 - bubnikv@suse.cz
-  update to version 0.97-4
- added buildroot, moved /usr/lib/kamdir to /usr/lib/kamplus
* Wed Mar 08 2000 - ro@suse.de
- fixed to compile
* Tue Mar 07 2000 - ka@suse.de
- update to version qt-0.97-1
* Fri Jan 28 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Mon Jul 05 1999 - ka@suse.de
- update to version 0.95
* Mon Jun 07 1999 - ka@suse.de
- update to version 0.94
* Sat May 29 1999 - ka@suse.de
- update to version 0.93
* Fri May 07 1999 - ka@suse.de
- initial release
